MetropolisOldBoys (@MetropolisOBs) profile picture

Minneapolis RFC 1960 + Metro RFC 1980 = Metropolis RFC 1992 Metropolis Metromen Rugby Forever

Minneapolis, MN, USA
Joined October 2013
Photo by MetropolisOldBoys (@MetropolisOBs)Photo by MetropolisOldBoys (@MetropolisOBs)Photo by MetropolisOldBoys (@MetropolisOBs)
Great night celebrating our friends Travis and Carolyn who are leaving MN for Ocala, FL Great turnout of @MetropolisRFC and @MetropolisOBs We even had a @BansheeRugby in the mix! Great old boys event on a the rooftop of a Mpls Condo. #RugbyUnion #MidwestRugbyUnion #MNRugby
1
1
105
Metropolis had a great day with the D1 Men Winning 66-22 over @KCBluesRugby at home to go 10-0 & the @valksrugby won in OT in Pittsburgh. Both @MetropolisRFC D1 sides play in the @midwestrugby Championship 11/13 @ChicagoGriffins & @clrfc respectively! @MetropolisOBs @OLRFC1
1
4
Dear rugby, When you’re ready to start back up.... I’ll be ready! Nate Augspurger MLR 2019 San Diego Legion youtu.be/jkzzm4JGZYQ via @YouTube
1
Metropolis is 12-0 with a 48 to 14 win at Cincinnati. Thanks to @CRFC for hosting. Next Sat we go 4 lucky #13 @goffrugbyreport @EvoRugby
1
Replying to @MetropolisRFC
@MetropolisRFC WINS the #Lakefront7s Championship over the #SavagesRFC @EaganRugby takes the HS Championship! 2 MN Champs
Metropolis moves 3-0 with a 17-5 victory over South Side Irish. Semi finals in the #Lakeside7s are next at 11:40am.
Our Head Coach Nate Osborne has been named HC of the New Orleans Gold! Congrats Nate! nitter.cf/djcoil/status/87569653…
Nate Osborne To Coach New Orleans Gold djcoilrugby.com/2017/06/16/n… @NOLA_Gold @usmlr @MetropolisRFC
2
Hopkins family brings rugby's fun, challenge to Rio's poor kids | Thanks @SouhanStrib from "Metropolian" Rugby Club m.startribune.com/hopkins-fa…
1
3
Games this Saturday: D2 vs Milwaukee 2:30PM > D1 vs Milwaukee 4PM > D4 vs UW-Eau Claire 5:30 PM (7s) all games at Burnsville High School
Replying to @Rugbyoffloads
@ThisIsAmerRugby: Interview - @MetropolisRFC Coach Nate Osborne @midwestrugby thisisamericanrugby.com/2014… …@SkillRiverRFC @newyorkac @liferugby
Raw Oysteradiator Cult tonight at Bunkers covering ABB. Amazing night! @ Bunker's Music Bar & Grill instagram.com/p/lmGrhzi8BW/